package app

import "code.tnxs.net/vernonkeenan/lib/api/members/members_models"

// TenantUserActivityWrapper wraps the object with workflow params
type TenantUserActivityWrapper struct {
	Obj      members_models.TenantUser
	APIKey   string
	SagaID   string
	SagaType string
}

// TenantUser is a first class object type
type TenantUser struct {
	AccessLevel     string
	AccountID       string
	Auth0UserID     string
	CompanyName     string
	ContactID       string
	ExternalAccount string
	TenantActive    bool
	TenantID        string
	TenantName      string
	TenantStatus    string
	TenantType      string
	TenantVersion   string
	UserEmail       string
	UserFullName    string
	UserID          string
	Username        string
}
